> ## Documentation Index
> Fetch the complete documentation index at: https://emiloju.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account details

> This endpoint is used to get a user's account details.  - Include the `session_id` query parameter to get the account ID for your app's users.  - Include the `api_key` query parameter to get the account ID for your app itself.




## OpenAPI

````yaml api-reference/openapi.yaml get /3/account
openapi: 3.0.3
info:
  title: Endpoints
  description: This section contains all the endpoints used in the documentation.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: This section contains all endpoints used for authentication
  - name: Accounts
    description: This section contains account-specific endpoints.
  - name: Favorites
    description: >-
      This section contains all endpoints that allow a TMDB account to add
      movies, TV Shows, episodes to favorites, and also to get a list of
      favorites for the account.
  - name: Movies
    description: >-
      This section contains an endpoint to add a movie to favorites, and another
      to get a list of favorite movies for a TMDB account.
  - name: TV shows
    description: >-
      This section contains an endpoint to get the favorite TV shows for an
      account.
  - name: Watchlist
    description: >-
      This section contains all endpoints that allow a TMDB account to add
      movies, TV Shows to watchlist, and also to get a list of watchlist for the
      account.
  - name: Movies1
    description: >-
      This section contains an endpoint that allows a TMDB account to add a
      movie to watchlist, and another to get the movies in a watchlist.
  - name: TV shows1
    description: >-
      This section contains an endpoint used to get TV shows in an account's
      watchlist.
  - name: Ratings
    description: >-
      This section contains endpoints used to get all movies, TV Shows, and
      episodes rated by a TMDB account.
  - name: Movies12
    description: >-
      This section contains an endpoint used to get a list of movies rated by a
      TMDB account.
  - name: TV shows12
    description: >-
      This section contains an endpoint used to get a list of TV shows rated by
      a TMDB account.
  - name: Episodes
    description: >-
      This section contains an endpoint used to get a list of episodes rated by
      a TMDB account.
  - name: Lists
    description: Endpoints for a TMDB account lists.
  - name: Guest sessions
    description: This section contains all endpoints accessible by a guest session.
  - name: Movies
    description: For movies.
  - name: TV episodes
    description: >-
      This section contains all endpoints used to retrieve data for all TV
      episodes.
  - name: TV seasons
    description: >-
      This section contains all endpoints used to retrieve data for all TV
      seasons.
  - name: TV series
    description: >-
      This section contains all endpoints used to retrieve data for all TV
      series.
  - name: TV series lists
    description: This section contains all endpoints used to list TV series.
  - name: TV episode groups
    description: This section contains an endpoint used to retrieve data for TV episodes.
  - name: Watch providers
    description: Get available regions.
  - name: People
    description: About people lists.
  - name: Companies
    description: >-
      This section contains all endpoints used to retrieve data for supported
      companies.
  - name: Discover
    description: This section contains all endpoints used to discover movies and TV shows.
  - name: Recent changes
    description: >-
      This section contains all endpoints used to get recent changes in the TMDB
      database.
  - name: Credit
    description: This section contains an endpoint used to retrieve movie credits.
  - name: Certifications
    description: >-
      This section contains all endpoints used to get certification for movies
      and TV shows.
  - name: Collections
    description: This section contains all endpoints used to retrieve data for collections
  - name: Configuration
    description: >-
      This section contains all endpoints used to retrieve data on TMDB's
      configurations.
  - name: Find
    description: >-
      This section contains an endpoint used to search the TMDB database by
      External ID.
  - name: Genres
    description: This section contains endpoints related to genres.
  - name: Keywords
    description: >-
      This section contains an endpoint used to get keywords in the database by
      an ID.
  - name: Movie lists
    description: >-
      This section contains all endpoints used to retrieve movies by multiple
      search filters.
  - name: Networks
    description: For network endpoints.
  - name: Reviews
    description: For reviews endpoints.
  - name: Search
    description: For search endpoints.
  - name: Trending
    description: For trending videos.
paths:
  /3/account:
    get:
      tags:
        - Accounts
      summary: Get account details
      description: >
        This endpoint is used to get a user's account details.  - Include the
        `session_id` query parameter to get the account ID for your app's
        users.  - Include the `api_key` query parameter to get the account ID
        for your app itself.
      operationId: getAccountId
      parameters:
        - $ref: '#/components/parameters/sessionID'
        - name: api_key
          in: query
          schema:
            type: string
            example: 102e76380d3cbdef2f6643787f9236fb
            description: A unique api-key for your TMDB account
      responses:
        '200':
          description: Request successful
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=0
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Sun, 02 Feb 2025 11:28:21 GMT
            ETag:
              schema:
                type: string
                example: W/"3d57bad571e5edb607852baa980b8628"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 8872917cdf995a27da26931fe9fd7522.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: u6CtkEkLO55g1TOfqZasCwot2qT3EeP35pBQ2sfm7W8Ky89Pg2SZEw==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: LHR50-P2
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: MISS
            x-memc-age:
              schema:
                type: string
                example: '0'
            x-memc-expires:
              schema:
                type: string
                example: '0'
            x-memc-key:
              schema:
                type: string
                example: b1ab10a1d286ab3a373919adb1e20cae
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/userAccount'
              examples:
                Example response:
                  value:
                    avatar:
                      gravatar:
                        hash: f35e00805bf2085dcc202ea42e3f4ba4
                      tmdb:
                        avatar_path: null
                    id: 21666081
                    include_adult: false
                    iso_3166_1: NG
                    iso_639_1: en
                    name: ''
                    username: Emiloju
components:
  parameters:
    sessionID:
      in: query
      name: session_id
      schema:
        type: string
        example: 02a0e6d34dbd8325254e83c78918599076a62b0e
      description: >-
        A unique identifier for an authenticated user session. Usually used for
        [user authentication]()
  schemas:
    userAccount:
      type: object
      properties:
        avatar:
          type: object
          description: >-
            User's avatar information, including Gravatar and TMDB profile
            images.
          properties:
            gravatar:
              type: object
              description: Gravatar avatar details linked to the user's email.
              properties:
                hash:
                  type: string
                  description: MD5 hash of the user's Gravatar email.
                  example: f35e00805bf2085dcc202ea42e3f4ba4
            tmdb:
              type: object
              description: TMDB-hosted avatar details.
              properties:
                avatar_path:
                  nullable: true
                  description: >-
                    Path to the user's TMDB profile image. Null if no image is
                    set.
                  example: null
        id:
          type: number
          description: Unique identifier for the user account.
          example: 2166
        include_adult:
          type: boolean
          description: >-
            Indicates whether the user allows adult content in their
            preferences.
          example: false
        iso_3166_1:
          type: string
          description: User's country code in ISO 3166-1 format.
          example: NG
        iso_639_1:
          type: string
          description: Preferred language code of the user in ISO 639-1 format.
          example: en
        name:
          type: string
          description: Full name of the user. May be empty if not set.
          example: Edun Rilwan
        username:
          type: string
          description: Unique username of the user on TMDB.
          example: Emiloju
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````